al_fwrite(3)

NAME

al_fwrite - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    size_t al_fwrite(ALLEGRO_FILE *f, const void *ptr, size_t size)

DESCRIPTION

Write 'size' bytes from the buffer pointed to by 'ptr' into the given file.

Returns the number of bytes actually written. If an error occurs, the return value is a short byte count (or zero).

SEE ALSO

al_fputc(3), al_fputs(3), al_fwrite16be(3), al_fwrite16le(3), al_fwrite32be(3), al_fwrite32le(3)